/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;



import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PtovtaEstoque;


/**
 *
 * @author Administrador
 */
public class PtovtaEstoqueRender implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PtovtaEstoque estoque = (PtovtaEstoque) o;

       
        Listcell  lc = new Listcell(estoque.getEspecie());
		lc.setParent(lstm);

		if(estoque.getFormCont().equals(1)){
			lc = new Listcell("SIM");
	        lc.setParent(lstm);
		}else if(estoque.getFormCont().equals(0)){
			lc = new Listcell("NÃO");
	        lc.setParent(lstm);
		}
        
        
        lc = new Listcell(String.valueOf(estoque.getQuantidade()));
        lc.setParent(lstm);
        
        
        if(estoque.getLoteform().equals(1)){
			lc = new Listcell("SIM");
	        lc.setParent(lstm);
		}else if(estoque.getLoteform().equals(0)){
			lc = new Listcell("NÃO");
	        lc.setParent(lstm);
		}
        
    

        lstm.setAttribute("data", estoque);
    }
}
